<?php

/**
 * @file
 * Contains site.page.inc.
 *
 * Page callback for Site entities.
 */

use Drupal\Core\Render\Element;
use Drupal\views\Views;
use Drupal\Core\Url;

/**
 * Prepares variables for Site templates.
 *
 * Default template: site.html.twig.
 *
 * @param array $variables
 *   An associative array containing:
 *   - elements: An associative array containing the user information and any
 *   - attributes: HTML attributes for the containing element.
 */
function template_preprocess_site(array &$variables) {
  // Fetch Site Entity Object.
  $site = $variables['elements']['#site'];

  // Helpful $content variable for templates.
  foreach (Element::children($variables['elements']) as $key) {
    $variables['content'][$key] = $variables['elements'][$key];
  }

  // Build a basic front page view.
  $entity_type_manager = \Drupal::entityTypeManager();
  $storage = $entity_type_manager->getStorage('node');
  $query = $storage->getQuery();
  $query->condition('promote', 1);
  $query->condition('status', 1);
  $results = $query->execute();

  $nodes = $storage->loadMultiple($results);
  $entity_view_builder = $entity_type_manager->getViewBuilder('node');
  $build = $entity_view_builder->viewMultiple($nodes, 'teaser');
  $variables['promoted'] = $build;
  $variables['#cache']['tags'][] = 'node_list';

  $view_id = 'frontpage';
  $view = Views::getView($view_id);
  if ($view) {
//    $view->addCacheContext('url.site');
//    $view->get_total_rows = TRUE;
//    $view->execute('page_1');
//    $rows = $view->total_rows;
//    if (!empty($rows)) {
//      $view->setDisplay('page_1');
//      $variables['promoted'] = $view->buildRenderable();
//      $variables['promoted']['#cache']['max-age'] = 0;
//      if ($variables) {
//
//      }
//    }
  }




}
