<?php

namespace Drupal\micro_site\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * Checks if an entity field has a unique value.
 *
 * @Constraint(
 *   id = "RegisteredField",
 *   label = @Translation("Domain site registered field constraint", context = "Validation"),
 * )
 */
class RegisteredFieldConstraint extends Constraint {

  public $message = "Seems that your site url %value is not yet configured. Please check your DNS configuration. You can not register your site until the DNS issue is fixed. See error below : <pre>%error</pre>";

  /**
   * {@inheritdoc}
   */
  public function validatedBy() {
    return '\Drupal\micro_site\Plugin\Validation\Constraint\RegisteredFieldValueValidator';
  }

}
