<?php

namespace Drupal\micro_site\Plugin\Validation\Constraint;

use Drupal\Core\Validation\Plugin\Validation\Constraint\UniqueFieldConstraint;

/**
 * Checks if a site's email address is unique on the master host.
 *
 * @Constraint(
 *   id = "SiteMailUnique",
 *   label = @Translation("Site email unique", context = "Validation")
 * )
 */
class SiteMailUnique extends UniqueFieldConstraint {

  public $message = 'The email address %value is already taken.';

}
