<?php

namespace Drupal\micro_site\Plugin\Validation\Constraint;

use Symfony\Component\Validator\Constraint;

/**
 * Checks if an entity field has a unique value.
 *
 * @Constraint(
 *   id = "SubDomainSiteUrlField",
 *   label = @Translation("Sub-domain site url field constraint", context = "Validation"),
 * )
 */
class SubDomainSiteUrlFieldConstraint extends Constraint {

  public $message = "The sub-domain %value is not valid. The sub-domain must contains only lowercase alphanumeric characters or dashes, without dot.";

  /**
   * {@inheritdoc}
   */
  public function validatedBy() {
    return '\Drupal\micro_site\Plugin\Validation\Constraint\SubDomainSiteUrlFieldValueValidator';
  }

}
